org.jbpm.services.task.audit.impl.model

## Class TaskEventImpl

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.TaskEventImpl

- All Implemented Interfaces:
    Serializable, org.kie.internal.task.api.model.TaskEvent

      @Entity
      public class TaskEventImpl
      extends Object
      implements org.kie.internal.task.api.model.TaskEvent, Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.task.api.model.TaskEvent

      `org.kie.internal.task.api.model.TaskEvent.TaskEventType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskEventImpl()`
    `TaskEventImpl(Long taskId, org.kie.internal.task.api.model.TaskEvent.TaskEventType type, Long processInstanceId, Long workItemId, String userId)`
    `TaskEventImpl(Long taskId, org.kie.internal.task.api.model.TaskEvent.TaskEventType type, Long processInstanceId, Long workItemId, String userId, Date logTime)`
    `TaskEventImpl(Long taskId, org.kie.internal.task.api.model.TaskEvent.TaskEventType type, Long processInstanceId, Long workItemId, String userId, String message)`
    `TaskEventImpl(long taskId, org.kie.internal.task.api.model.TaskEvent.TaskEventType type, String userId)`
    `TaskEventImpl(Long taskId, org.kie.internal.task.api.model.TaskEvent.TaskEventType type, String userId, Date logTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getCorrelationKey()`
    `long` | `getId()`
    `Date` | `getLogTime()`
    `String` | `getMessage()`
    `Long` | `getProcessInstanceId()`
    `Integer` | `getProcessType()`
    `long` | `getTaskId()`
    `org.kie.internal.task.api.model.TaskEvent.TaskEventType` | `getType()`
    `String` | `getUserId()`
    `Long` | `getWorkItemId()`
    `int` | `hashCode()`
    `void` | `setCorrelationKey(String correlationKey)`
    `void` | `setMessage(String message)`
    `void` | `setProcessType(Integer processType)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskEventImpl

          public TaskEventImpl()

    - #### TaskEventImpl

          public TaskEventImpl(long taskId,
                               org.kie.internal.task.api.model.TaskEvent.TaskEventType type,
                               String userId)

    - #### TaskEventImpl

          public TaskEventImpl(Long taskId,
                               org.kie.internal.task.api.model.TaskEvent.TaskEventType type,
                               String userId,
                               Date logTime)

    - #### TaskEventImpl

          public TaskEventImpl(Long taskId,
                               org.kie.internal.task.api.model.TaskEvent.TaskEventType type,
                               Long processInstanceId,
                               Long workItemId,
                               String userId,
                               Date logTime)

    - #### TaskEventImpl

          public TaskEventImpl(Long taskId,
                               org.kie.internal.task.api.model.TaskEvent.TaskEventType type,
                               Long processInstanceId,
                               Long workItemId,
                               String userId)

    - #### TaskEventImpl

          public TaskEventImpl(Long taskId,
                               org.kie.internal.task.api.model.TaskEvent.TaskEventType type,
                               Long processInstanceId,
                               Long workItemId,
                               String userId,
                               String message)

  - ### Method Detail

    - #### getId

          public long getId()

      Specified by:
        `getId` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### getTaskId

          public long getTaskId()

      Specified by:
        `getTaskId` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### getType

          public org.kie.internal.task.api.model.TaskEvent.TaskEventType getType()

      Specified by:
        `getType` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### getUserId

          public String getUserId()

      Specified by:
        `getUserId` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### getLogTime

          public Date getLogTime()

      Specified by:
        `getLogTime` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### getWorkItemId

          public Long getWorkItemId()

      Specified by:
        `getWorkItemId` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### getMessage

          public String getMessage()

      Specified by:
        `getMessage` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### getCorrelationKey

          public String getCorrelationKey()

      Specified by:
        `getCorrelationKey` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### getProcessType

          public Integer getProcessType()

      Specified by:
        `getProcessType` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### setCorrelationKey

          public void setCorrelationKey(String correlationKey)

      Specified by:
        `setCorrelationKey` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### setProcessType

          public void setProcessType(Integer processType)

      Specified by:
        `setProcessType` in interface `org.kie.internal.task.api.model.TaskEvent`

    - #### setMessage

          public void setMessage(String message)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.